Subject: bug#29225: Tramp backup-by-copying in a Converting ACL Invalid argument error on Windows 7

From: Michael Albinus <[email-masked]>
Date: Sun, 12 Nov 2017 14:21:41 +0100

Eli Zaretskii <[email-masked]> writes:

> No objection, but please only condition the call to 'error' on
> acl_errno_valid.  I see no reason to proceed with calling acl_set_file
> if acl_from_text fails.

Done.

>> Maybe I'll find also the time next days, to add the missing tests
>> for file-acl and set-file-acl in tramp-tests.el.
>
> Sounds good, thanks.

Also done.

I've committed the patch to the emacs-26 branch. Shuguang, do you have a
chance to check this?

Best regards, Michael.